def get_list(prompt):
    responses = []
    while True:
        response = input(prompt)
        if response == '':
            break
        responses.append(response)
    return responses


def print_list(header, items, bullet):
    print(header)
    for item in items:
        print(f'{bullet} {item}')


def main():
    places = get_list('Enter a place you have visited: ')
    going = get_list('Enter a destination you want to visit: ')
    print()
    print_list('I have visited:', places, '-')
    print()
    print_list('I want to visit:', going, '*')


if __name__ == '__main__':
    main()
